com.buschmais.jqassistant.plugin.maven3.api.scanner

## Class AbstractMavenProjectScannerPlugin

- java.lang.Object
- - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<org.apache.maven.project.MavenProject,MavenProjectDirectoryDescriptor>
  - - com.buschmais.jqassistant.plugin.maven3.api.scanner.AbstractMavenProjectScannerPlugin

- All Implemented Interfaces:
    com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<org.apache.maven.project.MavenProject,MavenProjectDirectoryDescriptor>
  Direct Known Subclasses:
    MavenProjectScannerPlugin

      public abstract class AbstractMavenProjectScannerPlugin
      extends com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<org.apache.maven.project.MavenProject,MavenProjectDirectoryDescriptor>

  Abstract base class for maven project scanner plugins.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.buschmais.jqassistant.core.scanner.api.ScannerPlugin

      `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin.Requires`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMavenProjectScannerPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends MavenProjectDirectoryDescriptor>` | `getDescriptorType()`
    `Class<? extends org.apache.maven.project.MavenProject>` | `getType()`
    `protected <T extends MavenProjectDescriptor> T` | `resolveProject(org.apache.maven.project.MavenProject project, Class<T> expectedType, com.buschmais.jqassistant.core.scanner.api.ScannerContext scannerContext)`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin

      `getDirectoryPath, getProperties, getProperty, getStringProperty, getTypeParameter, initialize, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.scanner.api.ScannerPlugin

      `accepts, scan`

- - ### Constructor Detail

    - #### AbstractMavenProjectScannerPlugin

          public AbstractMavenProjectScannerPlugin()

  - ### Method Detail

    - #### getType

          public Class<? extends org.apache.maven.project.MavenProject> getType()

      Specified by:
        `getType` in interface `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<org.apache.maven.project.MavenProject,MavenProjectDirectoryDescriptor>`
      Overrides:
        `getType` in class `com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<org.apache.maven.project.MavenProject,MavenProjectDirectoryDescriptor>`

    - #### getDescriptorType

          public Class<? extends MavenProjectDirectoryDescriptor> getDescriptorType()

      Specified by:
        `getDescriptorType` in interface `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<org.apache.maven.project.MavenProject,MavenProjectDirectoryDescriptor>`
      Overrides:
        `getDescriptorType` in class `com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<org.apache.maven.project.MavenProject,MavenProjectDirectoryDescriptor>`

    - #### resolveProject

          protected <T extends MavenProjectDescriptor> T resolveProject(org.apache.maven.project.MavenProject project,
                                                                        Class<T> expectedType,
                                                                        com.buschmais.jqassistant.core.scanner.api.ScannerContext scannerContext)

Copyright © 2015 buschmais GbR. All rights reserved.